Bug Hunting Session
Bug 124392 - Redundant undo/redo items in grouped compact bar
Summary: Redundant undo/redo items in grouped compact bar
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.1.5.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0
Keywords:
Depends on:
Blocks: Notebookbar-Groupedbar
  Show dependency treegraph
 
Reported: 2019-03-28 11:24 UTC by OfficeUser
Modified: 2019-04-06 07:06 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot (228.39 KB, image/jpeg)
2019-03-28 11:26 UTC, OfficeUser
Details

Note You need to log in before you can comment on or make changes to this bug.
Description OfficeUser 2019-03-28 11:24:17 UTC
Please have a look at the attached screenshot. These undo and redo items are
redundant in the menu since these items are present as buttons directly above
the menu button.
Comment 1 OfficeUser 2019-03-28 11:26:20 UTC
Created attachment 150352 [details]
Screenshot
Comment 2 Heiko Tietze 2019-04-04 13:21:26 UTC
The actual layout of Notebookbar variants is up to the designer. Redundancy is per se not bad and I cannot argue whether or not having double it. It just depends on the design.
Comment 3 Commit Notification 2019-04-05 13:29:44 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/22d79472b6f395a2b4de74dc360bf8e61b1028e3%5E%21

tdf#124392 remove undo/redo commands from groupedbar drop down

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Heiko Tietze 2019-04-06 06:03:38 UTC
Andreas, please resolve this ticket as fixed if done.